﻿
function pageLoad() {
	var $ = $telerik.$;
	var oWindow = GetRadWindow();
	var dockID = oWindow.argument;
	if (dockID) {
		InitializeForm(dockID);
	}
	$('#' + window.autoRefreshCheckBoxID).click(SetAutoRefreshState);
	oWindow.argument = null;
}

function InitializeForm(dockID) {
	SetAutoRefreshState();
	$('#' + window.autoRefreshCheckBoxID).click(SetAutoRefreshState);

	window.PageMethods.GetDockAttributes(dockID, OnGetDockAttributesSuccess, OnGetDockAttributesFailure);
}

//Pass the dialog data back to Dashboard.
function CloseAndSave() {
	var oWindow = GetRadWindow();
	var customAttributes = {};
	customAttributes["RefreshEnabled"] = $('#' + window.autoRefreshCheckBoxID).is(':checked');
	customAttributes["RefreshInterval"] = $find(window.autoRefreshNumericTextBoxID).get_value();
	customAttributes["ChartType"] = $find(window.chartComboBoxID).get_value();
	oWindow.argument = customAttributes;
	oWindow.close();
	oWindow.argument = null; //Important because pageLoad gets called once more after oWindow closes.
}

function OnGetDockAttributesSuccess(result) {
	var dockData = $.parseJSON(result);
	//Change the initial loading state based on the dock's known settings.
	if (dockData["RefreshEnabled"]) {
		$('#' + window.autoRefreshCheckBoxID).attr('checked', true);

		var autoRefreshNumericTextBox = $find(window.autoRefreshNumericTextBoxID);

		autoRefreshNumericTextBox.set_value(dockData["RefreshInterval"]);
		autoRefreshNumericTextBox.enable();

		var wrapperElement = $get(autoRefreshNumericTextBox._wrapperElementID);
		var label = $(wrapperElement.getElementsByTagName("label")[0]);
		label.addClass("LabelEnabled");
		label.removeClass("LabelDisabled");
	}

	$find(window.chartComboBoxID).findItemByValue(dockData["ChartType"]).select();

	$('#Content').show();
	GetRadWindow().autoSize();
}
