﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Window.aspx.cs" Inherits="ChromeRFD_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<%--<link rel="stylesheet" type="text/css" href="Content/CustomLocalSettings.css" />--%>
	<style type="text/css">
		body
		{
			font-size: 12px;
			font-family: "segoe ui" , arial, sans-serif;
			overflow: hidden; /*Leave this for auto-sizing behavior under IE*/
			width: 403px;
		}
		
		.LabelEnabled, .riTextBox
		{
			color: Black !important;
		}
		
		.LabelDisabled
		{
			color: Gray !important;
		}
		
		.BottomButton
		{
			padding-top: 7px;
			margin-left: 170px;
			padding-bottom: 7px;
		}
		
		#RefreshArea
		{
			padding: 2px;
		}
		
		/*Leave this for IE8: Extends the fieldset to make it look proper.*/
		#ChartArea
		{
			width: 378px;
		}
		
		#RefreshLeftSide
		{
			float: left;
			margin-top: 3px;
		}
		
		#RefreshRightSide
		{
			float: left;
			margin-left: 5px;
		}
		
		.rfdRoundedWrapper_fieldset
		{
			display: block\9 !important;
		}
		
		#RefreshArea, #ChartArea
		{
			overflow: auto\9;
			margin: 4px 5px 8px 5px\9;
		}
		
		._Telerik_IE9 #RefreshArea, ._Telerik_IE9 #ChartArea
		{
			margin: 0px;
		}
		
		#Content
		{
			/*	display: none;*/
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="Server" EnablePageMethods="True">
	</telerik:RadScriptManager>
	<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="Server" />
	<telerik:RadFormDecorator ID="RadFormDecorator1" runat="Server" DecoratedControls="All"
		Skin="Web20" />
	<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

		<script type="text/javascript">
			var autoRefreshNumericTextBoxID = "<%= AutoRefreshNumericTextBox.ClientID %>";
			var chartComboBoxID = "<%= ChartComboBox.ClientID %>";
			var autoRefreshCheckBoxID = "<%= AutoRefreshCheckBox.ClientID %>";

		</script>

	</telerik:RadCodeBlock>

	<script type="text/javascript">
		Sys.Application.add_load(pageLoad);
		alert(2);
	</script>

	<%--<script src="Scripts/jquery-1.6.4.js" type="text/javascript"></script>--%>

	<script src="Scripts/CustomLocalSettings.js" type="text/javascript"></script>

	<script src="Scripts/SharedSettingsFunctionality.js" type="text/javascript"></script>

	<div id="Content">
		<fieldset id="RefreshProperties">
			<legend>Refresh Settings</legend>
			<div id="RefreshArea">
				<div id="RefreshLeftSide">
					Auto-Refresh Enabled:
					<asp:CheckBox ID="AutoRefreshCheckBox" runat="Server" />
				</div>
				<div id="RefreshRightSide">
					<telerik:RadNumericTextBox ID="AutoRefreshNumericTextBox" runat="Server" Label="Auto-Refresh Interval (Minutes):"
						MaxValue="60" MinValue="1" ShowSpinButtons="True" Value="1" Width="225px" DataType="System.Int32">
						<NumberFormat DecimalDigits="0" AllowRounding="False" />
					</telerik:RadNumericTextBox>
				</div>
			</div>
		</fieldset>
		<fieldset id="ChartProperties">
			<legend>Chart Properties</legend>
			<div id="ChartArea">
				<telerik:RadComboBox ID="ChartComboBox" runat="Server">
					<Items>
						<telerik:RadComboBoxItem runat="Server" Text="Bar Chart" Value="BarChart" />
						<telerik:RadComboBoxItem runat="Server" Text="Stacked Bar Chart" Value="StackedBarChart" />
					</Items>
				</telerik:RadComboBox>
			</div>
		</fieldset>
		<div class="BottomButton">
			<asp:UpdatePanel runat="server">
				<ContentTemplate>
					<telerik:RadButton ID="ApplySettings" runat="Server" Text="Apply" OnClientClicked="CloseAndSave" />
				</ContentTemplate>
			</asp:UpdatePanel>
		</div>
	</div>
	</form>
</body>
</html>
